org.apache.hadoop.yarn.server.api.impl.pb.service

## Class CollectorNodemanagerProtocolPBServiceImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.impl.pb.service.CollectorNodemanagerProtocolPBServiceImpl

- All Implemented Interfaces:
    org.apache.hadoop.yarn.proto.CollectorNodemanagerProtocol.CollectorNodemanagerProtocolService.BlockingInterface, CollectorNodemanagerProtocolPB

      public class CollectorNodemanagerProtocolPBServiceImpl
      extends Object
      implements CollectorNodemanagerProtocolPB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectorNodemanagerProtocolPBServiceImpl(CollectorNodemanagerProtocol impl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.GetTimelineCollectorContextResponseProto` | `getTimelineCollectorContext(com.google.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.GetTimelineCollectorContextRequestProto proto)`
    `org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ReportNewCollectorInfoResponseProto` | `reportNewCollectorInfo(com.google.protobuf.RpcController arg0, org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ReportNewCollectorInfoRequestProto proto)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectorNodemanagerProtocolPBServiceImpl

          public CollectorNodemanagerProtocolPBServiceImpl(CollectorNodemanagerProtocol impl)

  - ### Method Detail

    - #### reportNewCollectorInfo

          public org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ReportNewCollectorInfoResponseProto reportNewCollectorInfo(com.google.protobuf.RpcController arg0,
                                                                                                                                       org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.ReportNewCollectorInfoRequestProto proto)
                                                                                                                                throws com.google.protobuf.ServiceException

      Specified by:
        `reportNewCollectorInfo` in interface `org.apache.hadoop.yarn.proto.CollectorNodemanagerProtocol.CollectorNodemanagerProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

    - #### getTimelineCollectorContext

          public org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.GetTimelineCollectorContextResponseProto getTimelineCollectorContext(com.google.protobuf.RpcController controller,
                                                                                                                                                 org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.GetTimelineCollectorContextRequestProto proto)
                                                                                                                                          throws com.google.protobuf.ServiceException

      Specified by:
        `getTimelineCollectorContext` in interface `org.apache.hadoop.yarn.proto.CollectorNodemanagerProtocol.CollectorNodemanagerProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.